<template>
    <Head title="Dashboard" />

    <BreezeAuthenticatedLayout>
        <template #header>
            <h2 class="text-xl font-semibold leading-tight text-gray-800">
                Peserta Asuransi
            </h2>
        </template>

        <div class="py-12">
            <div class="mx-auto max-w-7xl sm:px-6 lg:px-8">
                <div class="overflow-hidden bg-white shadow-sm sm:rounded-lg">
                    <div class="p-6 bg-white border-b border-gray-200">
                        <div class="mb-4">
                            <Link
                                class="
                                    px-6
                                    py-2
                                    mb-2
                                    text-green-100
                                    bg-green-500
                                    rounded
                                "
                                :href="route('nasabah.create')"
                            >
                                Tambah Peserta
                            </Link>
                        </div>
                         <table class="divide-y divide-gray-300 ">
                    <thead class="bg-gray-50">
                                <td class="px-4 py-2">ID</td>
                                <td class="px-4 py-2">No KTP</td>
                               <td class="px-4 py-2">Nama</td>
                                <td class="px-4 py-2">Jenis Kelamin</td>
                                <td class="px-4 py-2">Tempat Lahir</td>
                                <td class="px-4 py-2">Status</td>
                                <td class="px-4 py-2">Email</td>
                                <td class="px-4 py-2">Edit</td>
                                <td class="px-4 py-2">Delete</td>
                            </thead>
                    <tbody class="bg-white divide-y divide-gray-300">
                                <tr class="whitespace-nowrap" v-for="nasabah in nasabah.data" :key="nasabah.id">
                                    <td class="px-4 py-2">{{ nasabah.id }}</td>
                                    <td class="px-4 py-2">{{ nasabah.noktp }}</td>
                                    <td class="px-4 py-2">{{ nasabah.nama }}</td>
                                    <td class="px-4 py-2" v-if="nasabah.jenkel==1">Laki-Laki</td>  
                                    <td class="px-4 py-2" v-else> Perempuan</td>
                                    <td class="px-4 py-2">{{ nasabah.tptlhr }}</td>
                                    <td class="px-4 py-2" v-if="nasabah.status==1">Menikah</td>  
                                    <td class="px-4 py-2" v-else> Belum Menikah</td>
                                    <td class="px-4 py-2">{{ nasabah.email }}</td>
                                    <td class="px-4 py-2 font-extrabold">
                                        <Link
                                            class="text-green-700"
                                            :href="route('nasabah.edit', nasabah.id)"
                                            
                                        >
                                           <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6 text-blue-400" fill="none"
                                        viewBox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M11 5H6a2 2 0 00-2 2v11a2 2 0 002 2h11a2 2 0 002-2v-5m-1.414-9.414a2 2 0 112.828 2.828L11.828 15H9v-2.828l8.586-8.586z" />
                                    </svg> 
                                        </Link>
                                        </td>
                                   <td class="px-4 py-2 font-extrabold">

                                        <Link
                                            @click="destroy(`${nasabah.id}`)"
                                            class="text-red-700"
                                            >
                                            <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6 text-red-400" fill="none"
                                        viewBox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16" />
                                    </svg>
                                            </Link
                                        >
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <pagination :links="nasabah.links" />
                    </div>
                </div>
            </div>
        </div>
    </BreezeAuthenticatedLayout>
</template>

<script>
import BreezeAuthenticatedLayout from "@/Layouts/Authenticated.vue";
import BreezeNavLink from "@/Components/NavLink.vue";
import { Head } from "@inertiajs/inertia-vue3";
import { Link } from "@inertiajs/inertia-vue3";
import { Inertia } from '@inertiajs/inertia';
export default {
    components: {
        BreezeAuthenticatedLayout,
        Head,
        BreezeNavLink,
        Link,
    },
    props: {
        nasabah: Object,
    },
    methods: {
        destroy(id) {
            Inertia.delete(`/nasabah/${id}`)
        },
    },
};
</script>